(function() {

var args = WScript.Arguments;

if ( args.length <= 0 ) {
  return;
}

// tH_
var AutoSyncFolder = "";

var fso = new ActiveXObject("Scripting.FileSystemObject");
var wsh = new ActiveXObject("WScript.Shell");
var shell = new ActiveXObject("Shell.Application");

var folder = shell.BrowseForFolder( 0, "tH_IĂB", 0);

if (folder) {
  AutoSyncFolder = folder.Items().Item().Path;
}

if (! fso.FolderExists( AutoSyncFolder )) {
  return;
}

for (var i = 0; i < args.length; i++) {
  CreateJunction( args(i) );
}

shell.Open( AutoSyncFolder );

fso = null;
wsh = null;
shell = null;

function ItemExists( item ) {
  return (fso.FileExists( item ) || fso.FolderExists( item ));
}

function CreateJunctionName( foldername ) {
  var ret = "";
  if (! fso.FolderExists( foldername )) {
    return ret;
  }

  var shortname = foldername.replace( /.*\\/g, "" );

  var nCount = 1;
  while ( true ) {
    var JunctionName = AutoSyncFolder + "\\" +  shortname;
    if ( nCount > 1) {
      JunctionName = JunctionName + "_" + nCount;
    }

    if (! ItemExists( JunctionName )) {
      ret = JunctionName;
      break;
    }
    nCount++;
  }
  return ret;
}


function CreateJunction( foldername ) {
  var JunctionName = CreateJunctionName(foldername);

  if (JunctionName) {
    var cmdline = 'mklink /J "' + JunctionName +  '" "' + foldername + '"';
    cmdline =  'cmd.exe /S /C ' + cmdline;
    var ret = wsh.Run(cmdline, 0, true);
    if (! ItemExists( JunctionName )) {
      JunctionName = "";
    }
  }
  return JunctionName;
}

})();
